petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSFReduceBegin

begin reduction of leafdata into rootdata, to be completed with call to PetscSFReduceEnd()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFReduceBegin(PetscSF sf,MPI_Datatype unit,const void *leafdata,void *rootdata,MPI_Op op)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| leafdata | - values to reduce
| op | - reduction operation

### Output Arguments

rootdata -result of reduction of values from all leaves of each root

### See Also

PetscSFBcastBegin()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html